XFcObjectDataFrame class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcObjectDataFrame Class Reference

Collaboration diagram for XFcObjectDataFrame:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT void | setSeqNum (INT32 aSeqNum)
| Sets sequence number.
XFCIMPORT INT32 | getSeqNum () const
| Gets sequence number.
XFCIMPORT void | setPriority (INT32 aPriority)
| Sets packet priority.
XFCIMPORT INT32 | getPriority () const
| Gets packet priority.
XFCIMPORT INT | getMessageSlot () const
| Gets packet message slot.
XFCIMPORT void | setPacketStatus (INT aPacketStatus)
| Sets packet status.
XFCIMPORT INT | getPacketStatus () const
| Gets packet status.
XFCIMPORT void | setRecentState (INT32 aId)
| Sets recent state id.
XFCIMPORT INT32 | getRecentStateId () const
| Gets recent state id.
XFCIMPORT INT32 | createPacket (XFcObjectDataPacket *aPacket)
| Creates a packet.
XFCIMPORT void * | lock ()
| Locks buffer.
XFCIMPORT void | unlock ()
| Unlocks buffer.
XFCIMPORT INT32 | isLock () const
| Checks if buffer is locked.
XFCIMPORT void | setPacketSize (INT32 aPacketSize)
| Sets packet size.
XFCIMPORT INT32 | sizeofBuffer () const
| Gets size of buffer.
XFCIMPORT INT32 | sizeofPacket () const
| Gets size of packet.
XFCIMPORT void | setMessageSlot (INT aSlot)
| Sets message slot.
XFCIMPORT void | setReceiverId (UINT32 aId)
| Sets receiver id.
XFCIMPORT void | reset ()
| Resets the frame.
virtual XFCIMPORT | ~XFcObjectDataFrame ()
| Virtual destructor.

## Static Public Member Functions

XFcObjectDataFrame * | create (INT aSlot, INT aBufferSize)
| Static constructor.

## Protected Member Functions

XFCIMPORT INT32 | init (INT aSlot, INT aBufferSize)
| Initializes class.
| XFcObjectDataFrame ()
| Protected constructor.

## Protected Attributes

XFcObjectDataBuffer * | mData
| Data buffer.

## Private Attributes

INT32 | mSeqNum
| Sequence number of packet.
INT32 | mPriority
| Packet priority.
INT | mSlot
| Packet message slot.
INT | mPacketStatus
| Packet status (do we wan't to send this packet alone).
INT32 | mRecentStateId
| Recent state id.
INT32 | mLock
| Lock status.

## Constructor & Destructor Documentation

XFcObjectDataFrame::XFcObjectDataFrame | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcObjectDataFrame::~XFcObjectDataFrame | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFcObjectDataFrame* XFcObjectDataFrame::create | ( | INT | aSlot,
|  | INT | aBufferSize
| ) | `[static]`

Static constructor.

Returns:
  new object if successful, or NULL if unsuccessful.

XFCIMPORT INT32 XFcObjectDataFrame::createPacket | ( | XFcObjectDataPacket * | aPacket | ) |

Creates a packet.

Parameters:

  aPacket | object data packet.

Returns:
  1 if successful, or 0 otherwise.

XFCIMPORT INT XFcObjectDataFrame::getMessageSlot | ( |  | ) | const

Gets packet message slot.

Returns:
  packet message slot.

XFCIMPORT INT XFcObjectDataFrame::getPacketStatus | ( |  | ) | const

Gets packet status.

Returns:
  packet status.

XFCIMPORT INT32 XFcObjectDataFrame::getPriority | ( |  | ) | const

Gets packet priority.

Returns:
  packet priority.

XFCIMPORT INT32 XFcObjectDataFrame::getRecentStateId | ( |  | ) | const

Gets recent state id.

Returns:
  recent state id.

XFCIMPORT INT32 XFcObjectDataFrame::getSeqNum | ( |  | ) | const

Gets sequence number.

Returns:
  sequence number.

XFCIMPORT INT32 XFcObjectDataFrame::init | ( | INT | aSlot,
|  | INT | aBufferSize
| ) | `[protected]`

Initializes class.

Parameters:

  aSlot | message slot.
  aBufferSize | buffer size.

Returns:
  1 if successful, or 0 otherwise.

XFCIMPORT INT32 XFcObjectDataFrame::isLock | ( |  | ) | const

Checks if buffer is locked.

Returns:
  1 if buffer is locked, or 0 otherwise.

XFCIMPORT void* XFcObjectDataFrame::lock | ( |  | ) |

Locks buffer.

Returns:
  locked buffer.

XFCIMPORT void XFcObjectDataFrame::reset | ( |  | ) |

| Resets the frame.

XFCIMPORT void XFcObjectDataFrame::setMessageSlot | ( | INT | aSlot | ) |

Sets message slot.

Parameters:

  aSlot | message slot.

XFCIMPORT void XFcObjectDataFrame::setPacketSize | ( | INT32 | aPacketSize | ) |

Sets packet size.

Parameters:

  aPacketSize | packet size.

XFCIMPORT void XFcObjectDataFrame::setPacketStatus | ( | INT | aPacketStatus | ) |

Sets packet status.

Parameters:

  aPacketStatus | packet status.

XFCIMPORT void XFcObjectDataFrame::setPriority | ( | INT32 | aPriority | ) |

Sets packet priority.

Parameters:

  aPriority | packet priority.

XFCIMPORT void XFcObjectDataFrame::setReceiverId | ( | UINT32 | aId | ) |

| Sets receiver id.

XFCIMPORT void XFcObjectDataFrame::setRecentState | ( | INT32 | aId | ) |

Sets recent state id.

Parameters:

  recent | state id.

XFCIMPORT void XFcObjectDataFrame::setSeqNum | ( | INT32 | aSeqNum | ) |

Sets sequence number.

Parameters:

  aSeqNum | sequence number

XFCIMPORT INT32 XFcObjectDataFrame::sizeofBuffer | ( |  | ) | const

Gets size of buffer.

Returns:
  size of buffer.

XFCIMPORT INT32 XFcObjectDataFrame::sizeofPacket | ( |  | ) | const

Gets size of packet.

Returns:
  size of packet.

XFCIMPORT void XFcObjectDataFrame::unlock | ( |  | ) |

| Unlocks buffer.

## Member Data Documentation

XFcObjectDataBuffer* XFcObjectDataFrame::mData`[protected]`

| Data buffer.

INT32 XFcObjectDataFrame::mLock`[private]`

| Lock status.

INT XFcObjectDataFrame::mPacketStatus`[private]`

| Packet status (do we wan't to send this packet alone).

INT32 XFcObjectDataFrame::mPriority`[private]`

| Packet priority.

INT32 XFcObjectDataFrame::mRecentStateId`[private]`

| Recent state id.

INT32 XFcObjectDataFrame::mSeqNum`[private]`

| Sequence number of packet.

INT XFcObjectDataFrame::mSlot`[private]`

| Packet message slot.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch